Upstream information

CVE-2017-7519 at MITRE

Description

In Ceph, a format string flaw was found in the way libradosstriper parses input from user. A user could crash an application or service using the libradosstriper library.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  SUSE
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 4.3
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L
Access Vector Network
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1043767 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 3
  • ceph >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-base >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-common >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-fuse >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-mds >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-mon >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-osd >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-radosgw >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • ceph-test >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.2
  • libcephfs1 >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • librados2 >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • libradosstriper1 >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • librbd1 >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • librgw2 >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • python-ceph-compat >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • python-cephfs >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • python-rados >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • python-rbd >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • rbd-fuse >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • rbd-mirror >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
  • rbd-nbd >= 10.2.10+git.1510313171.6d5f0aeac1-13.7.3
Patchnames:
SUSE-Storage-3-2017-1975
SUSE Enterprise Storage 4
  • ceph >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-base >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-common >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-fuse >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-mds >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-mon >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-osd >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-radosgw >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • ceph-test >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • libcephfs1 >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • librados2 >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • libradosstriper1 >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • librbd1 >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • librgw2 >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • python-ceph-compat >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • python-cephfs >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • python-rados >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • python-rbd >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • rbd-fuse >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • rbd-mirror >= 10.2.10+git.1507616349.698469bd8d-12.6.1
  • rbd-nbd >= 10.2.10+git.1507616349.698469bd8d-12.6.1
Patchnames:
SUSE-Storage-4-2017-1805


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 ceph Affected
SUSE Linux Enterprise SDK 11 SP4 ceph Not affected
SUSE Linux Enterprise SDK 12 SP2 ceph Affected
SUSE Linux Enterprise Server 11 SP3 LTSS ceph Not affected
SUSE Linux Enterprise Server 11 SP4 ceph Not affected
SUSE Linux Enterprise Server 12 GA LTSS ceph Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS ceph Affected
SUSE Linux Enterprise Server 12 SP2 ceph Affected
SUSE Storage 2.1 ceph Affected
SUSE Storage 3 ceph Released
SUSE Storage 4 ceph Released